package com.foreverwin.mesnac.integration.dto;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType( XmlAccessType.FIELD )
@XmlType(name = "ItemBatchDto", propOrder = {
        "FACTORY",
        "RSNUM",
        "ITEM",
        "SPEC",
        "TEXTURE",
        "BATCH"
})
public class ItemBatchDto {

    @XmlElement(name = "FACTORY")
    private String FACTORY;
    @XmlElement(name = "RSNUM")
    private String RSNUM;
    @XmlElement(name = "ITEM")
    private String ITEM;
    @XmlElement(name = "SPEC")
    private String SPEC;
    @XmlElement(name = "TEXTURE")
    private String TEXTURE;
    @XmlElement(name = "BATCH")
    private String BATCH;

    public String getFACTORY() {
        return FACTORY;
    }

    public void setFACTORY(String FACTORY) {
        this.FACTORY = FACTORY;
    }

    public String getRSNUM() {
        return RSNUM;
    }

    public void setRSNUM(String RSNUM) {
        this.RSNUM = RSNUM;
    }

    public String getITEM() {
        return ITEM;
    }

    public void setITEM(String ITEM) {
        this.ITEM = ITEM;
    }

    public String getSPEC() {
        return SPEC;
    }

    public void setSPEC(String SPEC) {
        this.SPEC = SPEC;
    }

    public String getTEXTURE() {
        return TEXTURE;
    }

    public void setTEXTURE(String TEXTURE) {
        this.TEXTURE = TEXTURE;
    }

    public String getBATCH() {
        return BATCH;
    }

    public void setBATCH(String BATCH) {
        this.BATCH = BATCH;
    }

    @Override
    public String toString() {
        return "ItemBatchDto{" +
                "FACTORY='" + FACTORY + '\'' +
                ", RSNUM='" + RSNUM + '\'' +
                ", ITEM='" + ITEM + '\'' +
                ", SPEC='" + SPEC + '\'' +
                ", TEXTURE='" + TEXTURE + '\'' +
                ", BATCH='" + BATCH + '\'' +
                '}';
    }
}
